ReferenceCompanies
Get an authorised person
Returns one authorised person of the company — someone allowed to collect goods or sign for the company. 404 when they do not belong to `companyId`. Requires `Permissions.Companies.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32application/json- response
companyId?|Format
int32email?|Length
length <= 50id?|Format
int32isInactive?boolean|nullname?|Length
length <= 50number?|Length
length <= 80phone?|Length
length <= 20shouldSendMailTo?boolean|nullcurl -X GET 'https://<your-instance>/api/companies/0/authorized-persons/0' \ -H 'Authorization: Bearer <access-token>'{ "companyId": 0, "email": "string", "id": 0, "isInactive": true, "name": "string", "number": "string", "phone": "string", "shouldSendMailTo": true}